Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class FilterMappingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.FilterMappingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, FilterMappingType<T>

    public class FilterMappingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, FilterMappingType<T>

This class implements the `filter-mappingType` xsd type

Original Documentation:

Declaration of the filter mappings in this web
application is done by using filter-mappingType.
The container uses the filter-mapping
declarations to decide which filters to apply to a request,
and in what order. The container matches the request URI to
a Servlet in the normal way. To determine which filters to
apply it matches filter-mapping declarations either on
servlet-name, or on url-pattern for each filter-mapping
element, depending on which style is used. The order in
which filters are invoked is the order in which
filter-mapping declarations that match a request URI for a
servlet appear in the list of filter-mapping elements.The
filter-name value must be the value of the filter-name
sub-elements of one of the filter declarations in the
deployment descriptor.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`FilterMappingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`FilterMappingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`DispatcherType` | `getDispatcher()` Returns the `dispatcher` element
`java.lang.String` | `getDispatcherAsString()` Returns the `dispatcher` element
`java.lang.String` | `getFilterName()` Returns the `filter-name` element
`java.lang.String` | `getServletName()` Returns the `servlet-name` element
`java.lang.String` | `getUrlPattern()` Returns the `url-pattern` element
`FilterMappingType<T>` | `removeFilterName()` Removes the `filter-name` element
`FilterMappingType<T>` | `removeServletName()` Removes the `servlet-name` element
`FilterMappingType<T>` | `removeUrlPattern()` Removes the `url-pattern` element
`FilterMappingType<T>` | `setDispatcher(DispatcherType dispatcher)` If not already created, a new `dispatcher` element with the given value will be created.
`FilterMappingType<T>` | `setDispatcher(java.lang.String dispatcher)` If not already created, a new `dispatcher` element with the given value will be created.
`FilterMappingType<T>` | `setFilterName(java.lang.String filterName)` If not already created, a new `filter-name` element with the given value will be created.
`FilterMappingType<T>` | `setServletName(java.lang.String servletName)` If not already created, a new `servlet-name` element with the given value will be created.
`FilterMappingType<T>` | `setUrlPattern(java.lang.String urlPattern)` If not already created, a new `url-pattern` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterMappingTypeImpl

    public FilterMappingTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### FilterMappingTypeImpl

    public FilterMappingTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setFilterName

    public FilterMappingType<T> setFilterName(java.lang.String filterName)

  If not already created, a new `filter-name` element with the given value will be created. Otherwise, the existing `filter-name` element will be updated with the given value.

  Specified by:
    `setFilterName` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### removeFilterName

    public FilterMappingType<T> removeFilterName()

  Removes the `filter-name` element

  Specified by:
    `removeFilterName` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### getFilterName

    public java.lang.String getFilterName()

  Returns the `filter-name` element

  Specified by:
    `getFilterName` in interface `FilterMappingType<T>`
  Returns:
    the node defined for the element `filter-name`

### setDispatcher

    public FilterMappingType<T> setDispatcher(DispatcherType dispatcher)

  If not already created, a new `dispatcher` element with the given value will be created. Otherwise, the existing `dispatcher` element will be updated with the given value.

  Specified by:
    `setDispatcher` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### setDispatcher

    public FilterMappingType<T> setDispatcher(java.lang.String dispatcher)

  If not already created, a new `dispatcher` element with the given value will be created. Otherwise, the existing `dispatcher` element will be updated with the given value.

  Specified by:
    `setDispatcher` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### getDispatcher

    public DispatcherType getDispatcher()

  Returns the `dispatcher` element

  Specified by:
    `getDispatcher` in interface `FilterMappingType<T>`
  Returns:
    the node defined for the element `dispatcher`

### getDispatcherAsString

    public java.lang.String getDispatcherAsString()

  Returns the `dispatcher` element

  Specified by:
    `getDispatcherAsString` in interface `FilterMappingType<T>`
  Returns:
    the node defined for the element `dispatcher`

### setUrlPattern

    public FilterMappingType<T> setUrlPattern(java.lang.String urlPattern)

  If not already created, a new `url-pattern` element with the given value will be created. Otherwise, the existing `url-pattern` element will be updated with the given value.

  Specified by:
    `setUrlPattern` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### removeUrlPattern

    public FilterMappingType<T> removeUrlPattern()

  Removes the `url-pattern` element

  Specified by:
    `removeUrlPattern` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### getUrlPattern

    public java.lang.String getUrlPattern()

  Returns the `url-pattern` element

  Specified by:
    `getUrlPattern` in interface `FilterMappingType<T>`
  Returns:
    the node defined for the element `url-pattern`

### setServletName

    public FilterMappingType<T> setServletName(java.lang.String servletName)

  If not already created, a new `servlet-name` element with the given value will be created. Otherwise, the existing `servlet-name` element will be updated with the given value.

  Specified by:
    `setServletName` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### removeServletName

    public FilterMappingType<T> removeServletName()

  Removes the `servlet-name` element

  Specified by:
    `removeServletName` in interface `FilterMappingType<T>`
  Returns:
    the current instance of `FilterMappingType`

### getServletName

    public java.lang.String getServletName()

  Returns the `servlet-name` element

  Specified by:
    `getServletName` in interface `FilterMappingType<T>`
  Returns:
    the node defined for the element `servlet-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD